#!/usr/bin/env python
import coral
from coral.lgen.smd2lang import smd2lang

uml11 = coral.loadModel("../../lang/UML11/def/UML11.xmi")
uml13 = coral.loadModel("../../lang/UML13/def/UML13.xmi")
uml14 = coral.loadModel("../../lang/UML14/def/UML14.xmi")
uml15 = coral.loadModel("../../lang/UML15/def/UML15.xmi")

assert(uml11)
assert(uml13)
assert(uml14)
assert(uml15)

L_uml11 = smd2lang(uml11)
L_uml13 = smd2lang(uml13)
L_uml14 = smd2lang(uml14)
L_uml15 = smd2lang(uml15)

assert(L_uml11)
assert(L_uml13)
assert(L_uml14)
assert(L_uml15)
